grid.move.to {grid} | R Documentation

## Move to a Specified Position

### Description

Grid has the notion of a current location. This function sets that location.

### Usage

    grid.move.to(x=0, y=0, default.units="npc", draw=TRUE, vp=NULL)
    grid.line.to(x=1, y=1, default.units="npc", draw=TRUE, gp=gpar(), vp=NULL)

### Arguments

`x` | A numeric value or a unit object specifying an x-value.
`y` | A numeric value or a unit object specifying a y-value.
`default.units` | A string indicating the default units to use if `x` or `y` are only given as numeric values.
`draw` | A logical value indicating whether graphics output should be produced.
`gp` | An object of class `gpar`, typically the output from a call to the function `gpar`. This is basically a list of graphical parameter settings.
`vp` | A Grid viewport object (or NULL).

### Author(s)

Paul Murrell

### See Also

Grid, `viewport`

### Examples

    grid.newpage()
    grid.move.to(0.5, 0.5)
    grid.line.to(1, 1)
    grid.line.to(0.5, 0)
    push.viewport(viewport(x=0, y=0, w=0.25, h=0.25, just=c("left", "bottom")))
    grid.rect()
    grid.grill()
    grid.line.to(0.5, 0.5)
    pop.viewport()

[Package Contents]